Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I am trying to install the php-mcrypt extension for my CentOs 6.4 server but it is falling over with this message:

[root@vps /]# yum install php-mcrypt
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirrors.vooservers.com
 * epel: mirror01.th.ifl.net
 * epel-debuginfo: mirror01.th.ifl.net
 * epel-source: mirror01.th.ifl.net
 * extras: mirrors.vooservers.com
 * updates: mirrors.vooservers.com
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-mcrypt.i386 0:5.1.6-5.el5 will be installed
--> Processing Dependency: php-api = 20041225 for package: php-mcrypt-5.1.6-5.el5.i386
--> Processing Dependency: libmcrypt.so.4 for package: php-mcrypt-5.1.6-5.el5.i386
--> Running transaction check
---> Package libmcrypt.i386 0:2.5.7-5.el5 will be installed
---> Package php-mcrypt.i386 0:5.1.6-5.el5 will be installed
--> Processing Dependency: php-api = 20041225 for package: php-mcrypt-5.1.6-5.el5.i386
--> Finished Dependency Resolution
Error: Package: php-mcrypt-5.1.6-5.el5.i386 (epel)
           Requires: php-api = 20041225
           Installed: php-common-5.3.3-22.el6.i686 (@base)
               php-api = 20090626
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

I have (to my knowledge) installed the repos correctly here is my epel.repo file:

[epel]
name=Extra Packages for Enterprise Linux 6 - $basearch
#baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-6&arch=$basearch
failovermethod=priority
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6

And my repolist:

repo id          repo name                                                status
base             CentOS-6 - Base                                          4,802
epel             Extra Packages for Enterprise Linux 6 - i386             5,931
epel-debuginfo   Extra Packages for Enterprise Linux 6 - i386 - Debug     1,816
epel-source      Extra Packages for Enterprise Linux 6 - i386 - Source        0
extras           CentOS-6 - Extras                                           12
updates          CentOS-6 - Updates                                         481
repolist: 13,042

I even have remi installed but I can't seem to be able to get the php-mcrypt extension installed for ZF2. For some reason it seems to be pulling from the el5 repo even though all my repos are el6?

Anyone know what's going on?

Thanks

Nathan

share|improve this question
2  
Have you already tried to clean your yum cache? yum clean all –  etagenklo May 11 '13 at 12:42
    
Genius! Add that as an answer so I can accept it :) –  Nathan Daly May 11 '13 at 12:44
1  
ok, did that :) –  etagenklo May 11 '13 at 12:48

1 Answer 1

up vote 1 down vote accepted

Clean your yum cache first using

yum clean all

share|improve this answer
    
Worked like a charm , thanks again :) –  Nathan Daly May 11 '13 at 12:50

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.